<#assign base=request.contextPath />

<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<style type="text/css">
    /**让所有的模态对话框都居中*/

    .am-modal.am-modal-prompt.am-modal-active {
        transform: translate(-50%, -50%) scale(1);
        left: 50%;
        top: 50%;
        margin-left: 0;
        margin-top: 0!important;
    }

    select[readonly] option {
        display: none;
    }
    input[readonly]{
        background-color: #eee;
    }

    .am-btn-danger {
        color: #f00;
    }
</style>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目预算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" action="${base}/project/budgetEditSave" data-am-validator>
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目基本信息</a></li>
            <li><a href="#tab2">项目详细信息</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
            <input name="id" id="id" type="hidden" value="${project.id}" />
            <input name="projectContributionProfitRateThreshold" id="projectContributionProfitRateThreshold" type="hidden" value="${Utils.format(project.projectContributionProfitRateThreshold)}" />
                <!--验证表单元素（validate) begin-->

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>部门名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <span>${project.deptName}</span>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划开始时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="startDate"
                                   name="startDate" autocomplete="off"
                                   value="${project.startDate?string("yyyy-MM-dd")}" placeholder="项目计划开始时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划结束时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="endDate"
                                   name="endDate" autocomplete="off"
                                   value="${project.endDate?string("yyyy-MM-dd")}" placeholder="项目计划结束时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>



                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入项目名称（20字符以内）"
                               name="name" placeholder="请输入项目名称（20字符以内）" maxlength="20"
                               value="${project.name}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目类型</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="type" name="type" readonly disabled>
                            <option value="1" <#if project.type=1>selected</#if>>工程集成类</option>
                            <option value="2" <#if project.type=2>selected</#if>>设备集成类</option>
                            <option value="3" <#if project.type=3>selected</#if>>战略合作类</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资模式</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="underwrittenMode" name="underwrittenMode" readonly disabled>
                            <option value="1" <#if project.underwrittenMode=1>selected</#if>>A类-不垫资（战略合作）</option>
                            <option value="2" <#if project.underwrittenMode=2>selected</#if>>B类-不垫资（背靠背）</option>
                            <option value="3" <#if project.underwrittenMode=3>selected</#if>>C类-垫资（账期覆盖）</option>
                            <option value="4" <#if project.underwrittenMode=4>selected</#if>>D类-垫资（账期不覆盖）</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入客户名称（20字符以内）"
                               name="customer" placeholder="请输入客户名称（20字符以内）" maxlength="20"
                               value="${project.customer}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>终端客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入终端客户名称（20字符以内）"
                               name="terminalCustomer" placeholder="请输入终端客户名称（20字符以内）" maxlength="20"
                               value="${project.terminalCustomer}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资利息</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入垫资利息"
                               name="advanceInterestAmount" placeholder="单位（元）" maxlength="20"
                               value="${Utils.format(project.advanceInterestAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资峰值</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入垫资峰值"
                               name="advancePeakAmount" placeholder="单位（元）" maxlength="20"
                               value="${Utils.format(project.advancePeakAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>合同金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入合同金额"
                               name="contractAmount" placeholder="单位（元）" maxlength="20"
                               value="${Utils.format(project.contractAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>行业场景应用</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入行业场景应用"
                               name="industryScenario" placeholder="请输入行业场景应用" maxlength="20"
                               value="${project.industryScenario}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">华智产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validation-message="华智产品金额"
                               name="huazhiProductAmount" placeholder="单位（元）" maxlength="20"
                               value="${Utils.format(project.huazhiProductAmount)}"  />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">紫光其他产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validation-message="请输入紫光其他产品金额"
                               name="ziguangOtherAmount" placeholder="单位（元）" maxlength="20"
                               value="${Utils.format(project.ziguangOtherAmount)}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>主合同收款条款</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入收款条款"
                               name="mainContractCollectionTerms" placeholder="请输入收款条款" maxlength="20"
                               value="${project.mainContractCollectionTerms}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

            </div>
            <!--验证表单元素（validate end-->
        </div>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab2">
                <span class="am-text-lg">收入</span>
                <span class="am-text-primary"><a style="cursor: pointer" id="income-detail">收入明细表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-lg">
                        <td>类别</td>
                        <td>费用</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input type="number" name="incomeDeviceTaxInclude" value="${Utils.format(budgetBean.incomeDeviceTaxInclude,'0')}" required readonly title="设备类含税总额"></td>
                        <td><input type="number" name="incomeDeviceTaxExclude" value="${Utils.format(budgetBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类不含税总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input type="number" name="incomeEngineerTaxInclude" value="${Utils.format(budgetBean.incomeEngineerTaxInclude,'0')}" required readonly title="工程类含税总额"></td>
                        <td><input type="number" name="incomeEngineerTaxExclude" value="${Utils.format(budgetBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类不含税总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input type="number" name="incomeServiceTaxInclude" value="${Utils.format(budgetBean.incomeServiceTaxInclude,'0')}" required readonly title="服务类含税总额"></td>
                        <td><input type="number" name="incomeServiceTaxExclude" value="${Utils.format(budgetBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类不含税总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input type="number" name="incomeTotalTaxInclude" value="${Utils.format(budgetBean.incomeTotalTaxInclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="number" name="incomeTotalTaxExclude" value="${Utils.format(budgetBean.incomeTotalTaxExclude,'0')}" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">成本</span>
                <span class="am-text-primary"><a style="cursor: pointer"  id="cost-detail">采购成本明细表</a></span>
                <span class="am-text-primary"><a style="cursor: pointer"  id="cost-project-manage-detail">项目管理成本表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-lg">
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input type="number" name="costPurchaseDeviceTaxInclude" value="${Utils.format(budgetBean.costPurchaseDeviceTaxInclude,'0')}" readonly required title="购买设备含税总额"></td>
                        <td><input type="number" name="costPurchaseDeviceTaxExclude" value="${Utils.format(budgetBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备不含税总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input type="number" name="costPurchaseBuildTaxInclude" value="${Utils.format(budgetBean.costPurchaseBuildTaxInclude,'0')}" readonly required title="购买施工含税总额"></td>
                        <td><input type="number" name="costPurchaseBuildTaxExclude" value="${Utils.format(budgetBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="购买施工不含税总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input type="number" name="costPurchaseServiceTaxInclude" value="${Utils.format(budgetBean.costPurchaseServiceTaxInclude,'0')}" readonly required title="购买服务含税总额"></td>
                        <td><input type="number" name="costPurchaseServiceTaxExclude" value="${Utils.format(budgetBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="购买服务不含税总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input type="number" name="costPurchaseOtherTaxInclude" value="${Utils.format(budgetBean.costPurchaseOtherTaxInclude,'0')}" readonly required title="购买其他含税总额"></td>
                        <td><input type="number" name="costPurchaseOtherTaxExclude" value="${Utils.format(budgetBean.costPurchaseOtherTaxExclude,'0')}" readonly required title="购买其他不含税总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input type="number" name="costProjectManageTaxInclude" value="${Utils.format(budgetBean.costProjectManageTaxInclude,'0')}" readonly required title="项目管理成本总额含税"></td>
                        <td><input type="number" name="costProjectManageTaxExclude" value="${Utils.format(budgetBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本总额不含税"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td>其他</td>
                        <td><input type="number" min="0.00" max="9999999999.99" step="0.01" name="costOtherOtherTaxInclude" value="${Utils.format(budgetBean.costOtherOtherTaxInclude,'0')}" required title="其他含税总额（填入）"></td>
                        <td><input type="number" min="0.00" max="9999999999.99" step="0.01" name="costOtherOtherTaxExclude" value="${Utils.format(budgetBean.costOtherOtherTaxExclude,'0')}" required title="其他不含税总额（填入）"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input type="number" name="costTotalTaxInclude" value="${Utils.format(budgetBean.costTotalTaxInclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="number" name="costTotalTaxExclude" value="${Utils.format(budgetBean.costTotalTaxExclude,'0')}" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">管理</span>
                <span class="am-text-primary budget-plan-detail"><a style="cursor: pointer">资金计划表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-lg">
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input type="number" name="costExpropriationTaxExclude" value="${Utils.format(budgetBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本不含税总额"></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input type="number" min="0.00" max="9999999999.99" step="0.01" name="costCompanyManageTaxExclude" value="${Utils.format(budgetBean.costCompanyManageTaxExclude,'0')}" required title="公司管理费用不含税总额"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-lg">
                        <td>类别</td>
                        <td>不含税金额（元）</td>
                        <td>利润率（%）</td>
                    </tr>
                    <tr>
                        <td>项目毛利</td>
                        <td><input type="number" name="projectGrossProfit" value="${Utils.format(budgetBean.projectGrossProfit,'0')}" readonly required title="收入总计（不含税）-成本总计（不含税）-财务费用总计（不含税）"></td>
                        <td><input type="number" name="projectGrossProfitRate" value="${Utils.format(budgetBean.projectGrossProfitRate,'0')}" readonly required title="毛利（不含税）/收入总计（不含税）"></td>
                    </tr>
                    <tr>
                        <td>项目贡献利润率</td>
                        <td><input type="number" name="projectContributionProfit" value="${Utils.format(budgetBean.projectContributionProfit,'0')}" readonly required title="项目毛利（不含税）-公司管理费用总计（不含税）"></td>
                        <td><input type="number" name="projectContributionProfitRate" value="${Utils.format(budgetBean.projectContributionProfitRate,'0')}" readonly required title="贡献利润（不含税）/收入总计（不含税）"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">现金流量表</span>
                <span class="am-text-primary budget-plan-detail"><a style="cursor: pointer">资金计划表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-lg">
                        <td>类别</td>
                        <td>金额（元）</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金<#--a--></td>
                        <td><input type="number" name="saleIncomeCash" value="${Utils.format(cashFlowBean.saleIncomeCash,'0')}" readonly required title="取自资金计划表（销售收款）"></td>
                    </tr>
                    <tr>
                        <td>收到的税费返还<#--b--></td>
                        <td>/<input type="hidden" name="taxReturn" value="${Utils.format(cashFlowBean.taxReturn,'0')}" readonly required></td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金<#--c--></td>
                        <td><input type="number" name="earnestMoneyIncome" value="${Utils.format(cashFlowBean.earnestMoneyIncome,'0')}" readonly required title="取自资金计划表（保证金收款）"></td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现金<#--d--></td>
                        <td><input type="number" name="purchaseCost" value="${Utils.format(cashFlowBean.purchaseCost,'0')}" readonly required title="取自资金计划表（设备支出+工程支出）"></td>
                    </tr>
                    <tr>
                        <td>支付的各项税费<#--e--></td>
                        <td>/<input type="hidden" name="taxCost" value="${Utils.format(cashFlowBean.taxCost,'0')}" readonly required></td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金<#--f--></td>
                        <td><input type="number" name="earnestMoneyCost" value="${Utils.format(cashFlowBean.earnestMoneyCost,'0')}" readonly required title="取自资金计划表（经营性开支+保证金支出+资金利息）"></td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额<#--g--></td>
                        <td><input type="number" name="netCashFlow" value="${Utils.format(cashFlowBean.netCashFlow,'0')}" readonly required title="g=a+c+b-d-f-e"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入<#--h--></td>
                        <td>/<input type="hidden" name="cashInflowFromInvestingActivities" value="${Utils.format(cashFlowBean.cashInflowFromInvestingActivities,'0')}" readonly required></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出<#--i--></td>
                        <td>/<input type="hidden" name="cashOutflowFromInvestingActivities" value="${Utils.format(cashFlowBean.cashOutflowFromInvestingActivities,'0')}" readonly required></td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额<#--j--></td>
                        <td>/<input type="hidden" name="netCashFromInvestingActivities" value="${Utils.format(cashFlowBean.netCashFromInvestingActivities,'0')}" readonly required></td>
                    </tr>
                    <tr>
                        <td>融资资金流入<#--k--></td>
                        <td><input type="number" name="financingCapitalInflow" value="${Utils.format(cashFlowBean.financingCapitalInflow,'0')}" readonly required title="从资金计划表查（垫资计划）"></td>
                    </tr>
                    <tr>
                        <td>还款资金流出<#--l--></td>
                        <td><input type="number" name="financingCapitalOutflow" value="${Utils.format(cashFlowBean.financingCapitalOutflow,'0')}" readonly required title="从资金计划表查（还款计划）"></td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额<#--m--></td>
                        <td><input type="number" name="financingCapitalCashflow" value="${Utils.format(cashFlowBean.financingCapitalCashflow,'0')}" readonly required title="m=k-l"></td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额<#--n--></td>
                        <td><input type="number" name="netIncreaseMonetaryFunds" value="${Utils.format(cashFlowBean.netIncreaseMonetaryFunds,'0')}" readonly required title="n=g+j+m"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>
    </div>


    <#--收入明细表弹窗-->
    <div class="am-modal am-modal-prompt" style="width: 1200px;max-height:600px;overflow-y:auto;" tabindex="-1" id="my-prompt-income-detail">
        <div class="am-modal-dialog">
            <div class="am-modal-hd">新增销售收入明细表——${project.name}</div>
            <div class="am-modal-bd">
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="incomeTable">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>名称</td>
                        <td>单位</td>
                        <td>数量</td>
                        <td>单价</td>
                        <td>税率（%）</td>
                        <td>含税总金额（元）</td>
                        <td>不含税金额（元）</td>
                        <td>操作</td>
                    </tr>

                    <#if incomeDetails??>
                        <#list incomeDetails as incomeDetail>
                        <tr>
                            <td>
                                <select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-income">
                                    <option value="1" <#if incomeDetail.type == 1>selected</#if>>设备类</option>
                                    <option value="2" <#if incomeDetail.type == 2>selected</#if>>工程类</option>
                                    <option value="3" <#if incomeDetail.type == 3>selected</#if>>服务类</option>
                                </select>
                            </td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income" value="${incomeDetail.name!}"></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income" value="${incomeDetail.unit!}"></td>
                            <td><input type="number" min="0" max="99999999" step="1" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-amount" value="${incomeDetail.amount!0}" onkeyup="integerNumber(this)"></td>
                            <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-price" value="${Utils.format(incomeDetail.price,'0')}"></td>
                            <td><input type="number" min="0.00" max="99.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-tax-rate" value="${Utils.format(incomeDetail.taxRate,'0')}"></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-tax-include" value="${Utils.format(incomeDetail.totalTaxInclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-tax-exclude" value="${Utils.format(incomeDetail.totalTaxExclude,'0')}" readonly></td>
                            <td><button type="button" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button></td>
                        </tr>
                        </#list>
                    </#if>

                    </tbody>
                </table>
                <button type="button" id="incomeAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
            </div>
            <div class="am-modal-footer">
                <span class="am-modal-btn" data-am-modal-cancel>取消</span>
                <span class="am-modal-btn" data-am-modal-confirm>保存</span>
            </div>
        </div>
    </div>
    <#--采购成本明细弹窗-->
    <div class="am-modal am-modal-prompt" style="width: 1200px;max-height:600px;overflow-y:auto;" tabindex="-1" id="my-prompt-cost-detail">
        <div class="am-modal-dialog">
            <div class="am-modal-hd">新增采购成本明细表——${project.name}</div>
            <div class="am-modal-bd">
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="costTable">
                    <tbody>
                    <tr>
                        <td>大类</td>
                        <td>类别</td>
                        <td>名称</td>
                        <td>单位</td>
                        <td>数量</td>
                        <td>单价</td>
                        <td>税率（%）</td>
                        <td>含税总金额（元）</td>
                        <td>不含税金额（元）</td>
                        <td>操作</td>
                    </tr>

                    <#if costDetails??>
                        <#list costDetails as costDetail>
                        <tr>
                            <td>
                                <select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost am-modal-prompt-input-cost-type">
                                    <option value="1" <#if costDetail.type == 1>selected</#if>>设备</option>
                                    <option value="2" <#if costDetail.type == 2>selected</#if>>服务</option>
                                    <option value="3" <#if costDetail.type == 3>selected</#if>>施工</option>
                                    <option value="4" <#if costDetail.type == 4>selected</#if>>其他</option>
                                </select>
                            </td>
                            <td>
                                <select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost am-modal-prompt-input-cost-category">
                                    <#--<option value="1" <#if costDetail.category == 1>selected</#if>>华智产品</option>
                                    <option value="2" <#if costDetail.category == 2>selected</#if>>紫光其他产品</option>
                                    <option value="3" <#if costDetail.category == 3>selected</#if>>外购产品</option>
                                    <option value="4" <#if costDetail.category == 4>selected</#if>>外购工程</option>
                                    <option value="5" <#if costDetail.category == 5>selected</#if>>华智服务</option>
                                    <option value="6" <#if costDetail.category == 6>selected</#if>>紫光其他服务</option>
                                    <option value="7" <#if costDetail.category == 7>selected</#if>>外购服务</option>
                                    <option value="8" <#if costDetail.category == 8>selected</#if>>其他</option>-->
                                    <#list procurementTypes as procurementType>
                                        <option value="${procurementType.id}" <#if costDetail.category == procurementType.id>selected</#if>>${procurementType.name}</option>
                                    </#list>
                                </select>
                            </td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost" value="${costDetail.name!}"></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost" value="${costDetail.unit!}"></td>
                            <td><input type="number" min="0" max="99999999" step="1" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-amount" value="${costDetail.amount!0}" onkeyup="integerNumber(this)"></td>
                            <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-price" value="${Utils.format(costDetail.price,'0')}"></td>
                            <td><input type="number" min="0.00" max="99.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-tax-rate" value="${Utils.format(costDetail.taxRate,'0')}"></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-tax-include" value="${Utils.format(costDetail.totalTaxInclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-tax-exclude" value="${Utils.format(costDetail.totalTaxExclude,'0')}" readonly></td>
                            <td><button type="button" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button></td>
                        </tr>
                        </#list>
                    </#if>

                    </tbody>
                </table>
                <button type="button" id="costAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
            </div>
            <div class="am-modal-footer">
                <span class="am-modal-btn" data-am-modal-cancel>取消</span>
                <span class="am-modal-btn" data-am-modal-confirm>保存</span>
            </div>
        </div>
    </div>
    <#--项目管理明细表弹窗-->
    <div class="am-modal am-modal-prompt" style="width: 1200px;max-height:600px;overflow-y:auto;" tabindex="-1" id="my-prompt-cost-project-manage-detail">
        <div class="am-modal-dialog">
            <div class="am-modal-hd">新增项目管理成本明细表——${project.name}</div>
            <div class="am-modal-bd">
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="costProjectManageTable">
                    <tbody>
                    <tr>
                        <td>财务费用类别</td>
                        <td>业务项目</td>
                        <td>项目明细</td>
                        <td>单位</td>
                        <td>数量</td>
                        <td>单价</td>
                        <td>总金额（元）</td>
                        <td>预估计算方法</td>
                        <td>预估依据</td>
                        <td>备注</td>
                        <td>操作</td>
                    </tr>

                        <#if costProjectManageDetails??>
                            <#list costProjectManageDetails as costProjectManageDetail>
                            <tr>
                                <td>
                                    <#--<select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" <#if costProjectManageDetail.deletable==0>readonly</#if>>
                                        <option value="1" <#if costProjectManageDetail.type == 1>selected</#if>>人工成本</option>
                                        <option value="2" <#if costProjectManageDetail.type == 2>selected</#if>>业务费用</option>
                                        <option value="3" <#if costProjectManageDetail.type == 3>selected</#if>>其他费用</option>
                                    </select>-->
                                    <#if costProjectManageDetail.deletable==0>
                                        <#if costProjectManageDetail.type ==1 >
                                            <input style="width: 80px;float: left;" readonly type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="人工成本">
                                        <#elseif costProjectManageDetail.type  ==2>
                                            <input style="width: 80px;float: left;" readonly type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="业务费用">
                                        <#elseif costProjectManageDetail.type  ==3>
                                            <input style="width: 80px;float: left;" readonly type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="其他费用">
                                        </#if>
                                        <#elseif costProjectManageDetail.deletable!=0>
                                            <select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage">
                                                <option value="1" <#if costProjectManageDetail.type == 1>selected</#if>>人工成本</option>
                                                <option value="2" <#if costProjectManageDetail.type == 2>selected</#if>>业务费用</option>
                                                <option value="3" <#if costProjectManageDetail.type == 3>selected</#if>>其他费用</option>
                                            </select>
                                    </#if>
                                </td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.name!}"  <#if costProjectManageDetail.deletable==0>readonly</#if>></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.detail!}"></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.unit!}"></td>
                                <td><input type="number" min="0" max="99999999" step="1" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-amount-project-manage" value="${costProjectManageDetail.amount!0}" onkeyup="integerNumber(this)"></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-price-project-manage" value="${Utils.format(costProjectManageDetail.price,'0')}"></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-total-project-manage" value="${Utils.format(costProjectManageDetail.total,'0')}" readonly></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.predictMethod!}"></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.predictWhy!}"></td>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.remark!}"></td>
                                <td><#if costProjectManageDetail.deletable==1><button type="button" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button></#if>
                                    <input type="hidden" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.deletable!}">
                                </td>
                            </tr>
                            </#list>
                        </#if>

                    </tbody>
                </table>
                <button type="button" id="costProjectManageAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
            </div>
            <div class="am-modal-footer">
                <span class="am-modal-btn" data-am-modal-cancel>取消</span>
                <span class="am-modal-btn" data-am-modal-confirm>保存</span>
            </div>
        </div>
    </div>
    <#--资金计划明细表弹窗-->
    <div class="am-modal am-modal-prompt" style="width: 1500px;max-height:600px;overflow-y:auto;" tabindex="-1" id="my-prompt-budget-plan-detail">
        <div class="am-modal-dialog">
            <div class="am-modal-hd">新增资金计划明细表——${project.name}<a href="javascript: void(0)" class="am-close<#-- am-close-spin-->" data-am-modal-close>&times;</a></div>
            <div class="am-modal-bd">
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="budgetPlanDetailTable">
                    <tbody>
                    <tr>
                        <td>月份</td>
                        <td>设备支出</td>
                        <td>工程支出</td>
                        <td>经营性开支</td>
                        <td>保证金支出</td>
                        <td>支出合计</td>
                        <td>销售收款</td>
                        <td>保证金收款</td>
                        <td>收款合计</td>
                        <td>资金余额</td>
                        <td>资金利息</td>
                        <td>垫资计划</td>
                        <td>还款计划</td>
                        <td>操作</td>
                    </tr>
                    <tr>
                        <td><input type="text" class="am-modal-prompt-input input-total-title-month-budget-plan" value="${projectBudgetPlanDetailTotalTitle.month}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.deviceCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.engineerCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.projectManageCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.earnestMoneyCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.totalCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.saleIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.earnestMoneyIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.totalIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.fundBalance)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.capitalInterest)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.underwrittenPlan)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-title-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.repaymentPlan)}" readonly/></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td><input type="text" class="am-modal-prompt-input input-total-month-budget-plan" value="${projectBudgetPlanDetailTotal.month}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.deviceCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.engineerCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.projectManageCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.earnestMoneyCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.totalCost)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.saleIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.earnestMoneyIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.totalIncome)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.fundBalance)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.capitalInterest)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.underwrittenPlan)}" readonly/></td>
                        <td><input type="number" class="am-modal-prompt-input input-total-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.repaymentPlan)}" readonly/></td>
                        <td></td>
                    </tr>

                        <#if projectBudgetPlanDetails??>
                            <#list projectBudgetPlanDetails as projectBudgetPlanDetail>
                            <tr>
                                <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-month-budget-plan" value="${projectBudgetPlanDetail.month!}" readonly></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.deviceCost)}"></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.engineerCost)}"></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.projectManageCost)}"></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.earnestMoneyCost)}"></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.totalCost)}" readonly></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.saleIncome)}"></td>
                                <td><input type="number" min="0.00" max="9999999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.earnestMoneyIncome)}"></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.totalIncome)}" readonly></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetail.fundBalance)}" readonly></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetail.capitalInterest)}" readonly></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetail.underwrittenPlan)}" readonly></td>
                                <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetail.repaymentPlan)}" readonly></td>
                                <td><button type="button" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete-budget-plan"><span class="am-icon-minus"></span></button></td>
                            </tr>
                            </#list>
                        </#if>

                    </tbody>
                </table>
                <button type="button" id="budgetPlanDetailAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>

                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>垫资峰值时间</td>
                        <td>垫资峰值金额</td>
                        <td>利率</td>
                        <td>资金利息</td>
                    </tr>
                    <tr>
                        <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-max-month-budget-plan" value="${underwrittenPlanStatistic.maxMonth!}" readonly/></td>
                        <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-amount-budget-plan" value="${Utils.format(underwrittenPlanStatistic.amount,'')}" readonly/></td>
                        <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-tax-rate-budget-plan" value="${Utils.format(project.underwrittenTaxRate,'')}" readonly/></td>
                        <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-capital-interest-budget-plan" value="${Utils.format(underwrittenPlanStatistic.capitalInterest,'')}" readonly/></td>
                    </tr>
                    </tbody>
                </table>


            </div>
            <div class="am-modal-footer">
                <span class="am-modal-btn" data-am-modal-cancel>取消</span>
                <span class="am-modal-btn" data-am-modal-confirm>保存</span>
            </div>
        </div>
    </div>







    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveDraft">保存草稿</button>
        <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
    </div>
</form>

</div>
</div>
<script>
    var base = "${base}";
</script>
<script src="${base}/assets/js/project_common.js"></script>
<script src="${base}/assets/js/project_budget.js"></script>
<script src="${base}/assets/js/project_budget_income.js"></script>
<script src="${base}/assets/js/project_budget_cost.js"></script>
<script src="${base}/assets/js/project_budget_cost_project_manage.js"></script>
<script src="${base}/assets/js/project_budget_plan.js"></script>
</@defaultLayout.layout>















